%global commit0 7e453b44c642c71931ca3ee6f0be089e7f6f0d04
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver 4.0.4
%global vabi 1.2
%global vabistrict 386f712

Name:      vmod-cookie
Summary:   Cookie VMOD for Varnish
Version:   1.0.4
Release:   0.1.20161219git%{?shortcommit0}%{?dist}
License:   BSD
Group:     System Environment/Daemons
URL:       https://github.com/varnish/lib%{name}
Source0:   https://github.com/varnish/lib%{name}/archive/%{commit0}.tar.gz#/lib%{name}-%{version}.tar.gz
Patch1:    libvmod-cookie-1.0.3.fix_el5.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# The tarball was built like this:
#   git clone https://github.com/varnish/libvmod-cookie.git
#   cd libvmod-cookie
#   git checkout 7e453b4
#   sed -i 's/1.03/1.0.4/;' configure.ac
#   ./autogen.sh && ./configure && make && make dist

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
#BuildRequires: python-docutils
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: python26
%endif

%description
Cookie VMOD for Varnish.

%prep
%setup -q -n lib%{name}-%{version}
%if 0%{?rhel} == 5
%patch1 -p1
%endif

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

# Added explicitly with doc or license verb below
rm -f %{buildroot}/%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/LICENSE

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*

%changelog
* Mon Dec 19 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.4-0.1.20161219git7e453b4
- Rebuilt for varnish-4.0.4
- Removed fix for 32bit builds, it has been fixed upstream
- Added patch for upstream bug #34

* Fri Feb 05 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.3-0.2.20151104gitb140c7a
- Rebuilt for varnish-4.1.1

* Wed Nov 04 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.3-0.1.git.b140c7a
- Wrapped for copr/fedora
- Added a simple conversion patch for 32bit builds

